# BUYPaymentButtonType Constants Reference

Declared in | BUYPaymentButton.h

### BUYPaymentButtonType

#### Definition

`typedef NS_ENUM(NSInteger, BUYPaymentButtonType ) {
BUYPaymentButtonTypePlain = 0,
BUYPaymentButtonTypeBuy,
BUYPaymentButtonTypeSetup,
};`

#### Constants

`BUYPaymentButtonTypePlain`

  Declared In `BUYPaymentButton.h`.

`BUYPaymentButtonTypeBuy`

  Declared In `BUYPaymentButton.h`.

`BUYPaymentButtonTypeSetup`

  Declared In `BUYPaymentButton.h`.